const { MessageEmbed } = require("discord.js");

module.exports = async (client, guild, message) => {
    const newGuild = {
        guildID: guild.id,
        guildName: guild.name
    };

    await client.createGuild(newGuild);

    const flag = guild.systemChannel;
    
    //const msg = ("Bonjour, je m'appelle LanBot\nJe suis content que vous m'ayez choisi pour vous assister dans votre serveur et je me ferai une joie de mettre mes commandes et ma puissance de calcul à votre contribution.\n\nJe vous laisse le plaisir de faire la commande \`?init\` pour m'initialiser et suivre mes indications !\n\nSi vous avez le moindre soucis vous pouvez contactez mon développeur via la commande \`?sugg\` qui se fera un plaisir de venir vous voir et vous aidez !");

    //flag.send(msg);

    const embed = new MessageEmbed()
    .setColor("RANDOM")
    .setTitle("Bonjour, je m'appelle LanBot")
    .setDescription("Je suis content que vous m'ayez choisi pour vous assister dans votre serveur et je me ferai une joie de mettre mes commandes et ma puissance de calcul à votre contribution.\n\nJe vous laisse le plaisir de faire la commande \`?init\` pour m'initialiser et suivre mes indications !\n\nSi vous avez le moindre soucis vous pouvez contactez mon développeur via la commande \`?sugg\` qui se fera un plaisir de venir vous voir et vous aidez !")
    .setTimestamp()
    .setFooter("Développé et Créé par lantium#9402");      

    flag.send(embed);
};

